from django.db import models
from django.conf import settings

class Igw(models.Model):
    igw_name = models.CharField(max_length=100, unique=True)
    igw_id = models.CharField(max_length=100, null=True)
    routing_table = models.CharField(max_length=200, unique=True, null=True)
    
    created_at = models.DateTimeField(auto_now=True)
    updated_at = models.DateTimeField(auto_now=True)

    author = models.ForeignKey(settings.AUTH_USER_MODEL, null=True, on_delete=models.CASCADE)
    
    def __str__(self):
        return f'[{self.pk}] {self.igw_name}'